0

I have just upgraded my Magento version from 2.4.0 to 2.4.6 and it is giving this error while opening admin. please suggest any solution

1 exception(s):
Exception #0 (Exception): User Deprecated Functionality: Class is deprecated in /home/websites/hollywp/dev.domain/public_html/vendor/magento/framework/HTTP/ZendClient.php on line 27
3

2 Answers 2

0

For the solution, we can use LaminasClient class. Laminas\Http\Client class has the following method which replaces ZendClient class methods.

enter image description here

You can refer to more methods for LaminasClient class located at vendor/laminas/laminas-http/src/Client.php

You can refer this link for more infomation. https://www.mage2developer.com/zendclient-class-is-deprecated-in-magento-version-2-4-6/

THANKS.

1
  • where to modify this code? Oct 25, 2023 at 11:05
0

You can resolve this (for the time being) by adding magento/zendframework1 back into your build.

composer require magento/zendframework1

Install zendframwork in your magento and it will work

Reference link

2
  • I have to find a permanent solution for this! Oct 25, 2023 at 11:50
  • @TishaJhanwar please add the solution here so that someone get help from that Feb 21 at 12:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.